version: '3.9'

services:
  app:
    # Ajustado al nuevo nombre: telemediosbackend
    image: ghcr.io/telemediostalca/sistematicketsbackend:${TAG:-qa}
    container_name: backend_sistematickets_${TAG:-qa}
    env_file: .env
    ports:
      - "30055:3001"
    environment:
      - NODE_ENV=production
    restart: always
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:30055/api/health"]
      interval: 30s
      timeout: 10s
      retries: 3

